Get incomplete evaluations for an experiment
curl --request GET \
--url https://api.example.com/v1/experiments/{experiment_id}/incomplete-evaluationsimport requests
url = "https://api.example.com/v1/experiments/{experiment_id}/incomplete-evaluations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/experiments/{experiment_id}/incomplete-evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"experiment_run": {
"dataset_example_id": "<string>",
"output": "<unknown>",
"repetition_number": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"id": "<string>",
"experiment_id": "<string>",
"trace_id": "<string>",
"error": "<string>"
},
"dataset_example": {
"id": "<string>",
"node_id": "<string>",
"input": {},
"output": {},
"metadata": {},
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"span_id": "<string>",
"span_node_id": "<string>"
}
},
"evaluation_names": [
"<string>"
]
}
],
"next_cursor": "<string>"
}"<string>""<string>""<string>""<string>"Experiments
Get incomplete evaluations for an experiment
Get experiment runs that have incomplete evaluations.
Returns runs with:
- Missing evaluations (evaluator has not been run)
- Failed evaluations (evaluator ran but has errors)
Args: experiment_id: The ID of the experiment evaluation_name: List of evaluation names to check (required, at least one) cursor: Cursor for pagination limit: Maximum number of results to return
Returns: Paginated list of runs with incomplete evaluations
GET
/
v1
/
experiments
/
{experiment_id}
/
incomplete-evaluations
Get incomplete evaluations for an experiment
Path Parameters
Query Parameters
Evaluation names to check
Cursor for pagination
Maximum number of runs with incomplete evaluations to return
Was this page helpful?

